import/export
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 7 of 7

Thread: import/export

  1. #1
    Join Date
    Feb 2002
    Posts
    25
    Hi,

    I am trying to runt import/export but getting the following error:
    Import: Release 8.1.5.0.0 - Production on Tue Jul 30 11:23:09 2002
    (c) Copyright 1999 Oracle Corporation. All rights reserved.
    Connected to: Oracle8i Enterprise Edition Release 8.1.6.1.0 - Production
    With the Partitioning option
    JServer Release 8.1.6.1.0 - Production

    IMP-00010: not a valid export file, header failed verification
    IMP-00000: Import terminated unsuccessfully

    I am using Oracle 8.1. My imp/exp works at all other machines, except for mine.

    Please help,

    Thanks in advance,

    Boris Volf

  2. #2
    Join Date
    May 2002
    Posts
    2,645
    Export out with the old version, import into the new with the newer version of Oracle. Version to version being the same, use exp and imp from that version.

    Going from 8.1.6 to 9.2.0.1, for example. Use 8.1.6's export utility to create the export dump file. Use 9.2.0.1's import utility to bring the dump file in to the 9i database.

  3. #3
    Join Date
    Jan 2001
    Posts
    3,131
    Hey Boris;

    I think either this is a bug or your .DMP file is corrupt, can you run the export again?

    MH
    I remember when this place was cool.

  4. #4
    Join Date
    Feb 2002
    Posts
    25
    I have a machine that is running Oracle8.1.7 and I run an export on that machine.
    My machine runs Oracle 8.1.5, and I get the error when I try to run an import into it.
    If I export on the same machine it works fine.
    So, is there anyway I can run exp on a machine that has Oracle817, and import on machine that has Oracle815???

    Thanks,

    Boris

  5. #5
    Join Date
    May 2002
    Posts
    2,645
    Try using the export utility of your older version against the database of the newer version, and then use the older version import to do the import into the older version.

  6. #6
    Join Date
    Jan 2001
    Posts
    3,131
    Sorry Boris; I misread the question, I thought you were going the right way. The general rule of thumb with import/export is that you can import into the same version or higher, not the opposite.

    MH
    I remember when this place was cool.

  7. #7
    Join Date
    Jan 2001
    Posts
    642
    It's always a good practice to use the lower version of binaries to backup all the databases, if your farm contains different databases of different versions.

    So use 8.1.5 binary's to export 8.1.5(your box) and other 817 db's

    Badrianth

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Click Here to Expand Forum to Full Width